4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Uninstall

Classes: Uninstall |  |  |  | Globals: StringTypes

## Classes

class Uninstall(distutils.cmd.Command)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class Command
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  description = 'uninstall the package'
  user_options = []

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Globals

StringTypes = (<type 'str'>, <type 'unicode'>)